#!/bin/sh

set -eu

docdate()
{
    git describe --dirty 2> /dev/null || date -R
}

pandoc \
    --filter ./pandoc-fable-filter \
    --toc \
    --number-sections \
    --standalone \
    --self-contained \
    "-Vdate:$(docdate)" \
    -Vdocumentclass:report \
    -Vtitlepage:true \
    -Vfontsize:12pt \
    "-Vmainfont:Bitstream Charter" \
    -Vsansfont:Cabin \
    "-Vmonofont:Courier 10 Pitch" \
    -Vgeometry:top=2cm,bottom=2.5cm,left=2cm,right=1cm \
    "$@"
